Skip to content

Payment

All operations require authentication.

36 operationsv1/me/payment · /me/paymentMean
Agent setup

Retrieve available payment methodProduction

GET
/1.0/me/payment/availableMethods

Response

200AvailablePaymentMethod[]successful operation
formSessionId
read-only
string

Form session ID

icon
read-only
Icon

Payment method type icon

integration
read-only
IntegrationEnum

Payment method integration type

ValuesBANK_TRANSFERCOMPONENTIFRAME_VANTIVIN_CONTEXTNONEOSPPOST_FORMREDIRECT
merchantId
read-only
string

Merchant ID

oneshot
read-only
boolean

Indicates if payment method type allows to process oneshot payment

organizationId
read-only
string

Organization ID

paymentSubType
read-only
AvailableSubTypeEnum

Payment method sub-type

Values30_DAYS45_DAYS60_DAYSAMERICAN_EXPRESSAURACARTE_BANCAIRECARTE_BLEUECHORUSDINERS_CLUBDISCOVERJCBMAESTROMASTERCARDNONERUPAYVISA
paymentType
read-only
string

Payment method type

registerable
read-only
boolean

Indicates if payment method type is registerable ?

registerableWithTransaction
read-only
boolean

Indicates if payment method type allows payment and registration at the same time

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/payment/availableMethods \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "formSessionId": "string", "icon": { "data": "string", "name": "string", "url": "string" }, "integration": "BANK_TRANSFER", "merchantId": "string", "oneshot": true, "organizationId": "string", "paymentSubType": "30_DAYS", "paymentType": "string", "registerable": true, "registerableWithTransaction": true }]

Retrieve payment method listProduction

GET
/1.0/me/payment/method

Query parameters

default
boolean

Filter on 'default' property

paymentType
string

Filter on 'paymentType' property

status
StatusEnum

Filter on 'status' property

ValuesCANCELEDCANCELINGCREATEDCREATINGERROREXPIREDFAILEDMAINTENANCEPAUSEDREJECTEDREPLACEDVALIDVALIDATING

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/payment/method \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Register a new payment methodProduction

POST
/1.0/me/payment/method

Request body (required)

billingContactId
integer

Associated billing contact ID

callbackUrl
required
CallbackUrl

Callback URL's necessary to register

default
boolean

Indicates if this payment method will be set as the default one

description
string

Personalized description

formData
string

Additional payment information

orderId
integer

Order ID to pay it if it's possible (in oneshot transaction or while registration)

paymentSubType
CreationSubTypeEnum

Payment sub-type

ValuesCHORUSNONE
paymentType
required
string

Payment type

register
boolean

Register this payment method if it's possible (default value is false and will proceed a oneshot transaction)

Response

200Validationsuccessful operation
formSessionId
read-only
string

Form session ID

merchantId
read-only
string

Merchant ID

organizationId
read-only
string

Organization ID

paymentMethodId
read-only
integer

Registered new payment method ID

transactionId
read-only
integer

Registered new transaction ID

url
read-only
string

Registration validation URL to redirect

validationType
read-only
IntegrationEnum

Registration validation type

ValuesBANK_TRANSFERCOMPONENTIFRAME_VANTIVIN_CONTEXTNONEOSPPOST_FORMREDIRECT

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/payment/method \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "formSessionId": "string", "merchantId": "string", "organizationId": "string", "paymentMethodId": 0, "transactionId": 0, "url": "string", "validationType": "BANK_TRANSFER"}

Retrieve a payment methodProduction

GET
/1.0/me/payment/method/{paymentMethodId}

Path parameters

paymentMethodId
required
integer

Payment method ID

Response

200PaymentMethodsuccessful operation
billingContactId
read-only
integer

Associated billing contact ID

creationDate
read-only
stringdate-time

Creation date

default
boolean

Indicates if payment method is the default one for this account

description
string

Custom customer description

expirationDate
read-only
stringdate-time

Expiration date

formSessionId
read-only
string

Form session ID

icon
read-only
Icon

Payment method type icon

integration
read-only
IntegrationEnum

Payment method integration type

ValuesBANK_TRANSFERCOMPONENTIFRAME_VANTIVIN_CONTEXTNONEOSPPOST_FORMREDIRECT
label
read-only
string

Payment method public label

lastUpdate
read-only
stringdate-time

Last update date

merchantId
read-only
string

Merchant ID

oneclick
read-only
boolean

Indicates if payment method support the oneclick functionality

paymentMeanId
read-only
integer

Payment mean ID associated to this payment method

paymentMethodId
read-only
integer

Payment method ID

paymentSubType
read-only
AvailableSubTypeEnum

Payment method sub-type

Values30_DAYS45_DAYS60_DAYSAMERICAN_EXPRESSAURACARTE_BANCAIRECARTE_BLEUECHORUSDINERS_CLUBDISCOVERJCBMAESTROMASTERCARDNONERUPAYVISA
paymentType
read-only
string

Payment method type

status
read-only
StatusEnum

Payment method status

ValuesCANCELEDCANCELINGCREATEDCREATINGERROREXPIREDFAILEDMAINTENANCEPAUSEDREJECTEDREPLACEDVALIDVALIDATING

Example uses paymentMethodId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/payment/method/{paymentMethodId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "billingContactId": 0, "creationDate": "2024-01-01T12:00:00Z", "default": true, "description": "string", "expirationDate": "2024-01-01T12:00:00Z", "formSessionId": "string", "icon": { "data": "string", "name": "string", "url": "string" }, "integration": "BANK_TRANSFER", "label": "string", "lastUpdate": "2024-01-01T12:00:00Z", "merchantId": "string", "oneclick": true, "paymentMeanId": 0, "paymentMethodId": 0, "paymentSubType": "30_DAYS", "paymentType": "string", "status": "CANCELED"}

Edit payment methodProduction

PUT
/1.0/me/payment/method/{paymentMethodId}

Path parameters

paymentMethodId
required
integer

Payment method ID

Request body (required)

billingContactId
read-only
integer

Associated billing contact ID

creationDate
read-only
stringdate-time

Creation date

default
boolean

Indicates if payment method is the default one for this account

description
string

Custom customer description

expirationDate
read-only
stringdate-time

Expiration date

formSessionId
read-only
string

Form session ID

icon
read-only
Icon

Payment method type icon

integration
read-only
IntegrationEnum

Payment method integration type

ValuesBANK_TRANSFERCOMPONENTIFRAME_VANTIVIN_CONTEXTNONEOSPPOST_FORMREDIRECT
label
read-only
string

Payment method public label

lastUpdate
read-only
stringdate-time

Last update date

merchantId
read-only
string

Merchant ID

oneclick
read-only
boolean

Indicates if payment method support the oneclick functionality

paymentMeanId
read-only
integer

Payment mean ID associated to this payment method

paymentMethodId
read-only
integer

Payment method ID

paymentSubType
read-only
AvailableSubTypeEnum

Payment method sub-type

Values30_DAYS45_DAYS60_DAYSAMERICAN_EXPRESSAURACARTE_BANCAIRECARTE_BLEUECHORUSDINERS_CLUBDISCOVERJCBMAESTROMASTERCARDNONERUPAYVISA
paymentType
read-only
string

Payment method type

status
read-only
StatusEnum

Payment method status

ValuesCANCELEDCANCELINGCREATEDCREATINGERROREXPIREDFAILEDMAINTENANCEPAUSEDREJECTEDREPLACEDVALIDVALIDATING

Response

200PaymentMethodsuccessful operation
billingContactId
read-only
integer

Associated billing contact ID

creationDate
read-only
stringdate-time

Creation date

default
boolean

Indicates if payment method is the default one for this account

description
string

Custom customer description

expirationDate
read-only
stringdate-time

Expiration date

formSessionId
read-only
string

Form session ID

icon
read-only
Icon

Payment method type icon

integration
read-only
IntegrationEnum

Payment method integration type

ValuesBANK_TRANSFERCOMPONENTIFRAME_VANTIVIN_CONTEXTNONEOSPPOST_FORMREDIRECT
label
read-only
string

Payment method public label

lastUpdate
read-only
stringdate-time

Last update date

merchantId
read-only
string

Merchant ID

oneclick
read-only
boolean

Indicates if payment method support the oneclick functionality

paymentMeanId
read-only
integer

Payment mean ID associated to this payment method

paymentMethodId
read-only
integer

Payment method ID

paymentSubType
read-only
AvailableSubTypeEnum

Payment method sub-type

Values30_DAYS45_DAYS60_DAYSAMERICAN_EXPRESSAURACARTE_BANCAIRECARTE_BLEUECHORUSDINERS_CLUBDISCOVERJCBMAESTROMASTERCARDNONERUPAYVISA
paymentType
read-only
string

Payment method type

status
read-only
StatusEnum

Payment method status

ValuesCANCELEDCANCELINGCREATEDCREATINGERROREXPIREDFAILEDMAINTENANCEPAUSEDREJECTEDREPLACEDVALIDVALIDATING

Example uses paymentMethodId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/payment/method/{paymentMethodId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "billingContactId": 0, "creationDate": "2024-01-01T12:00:00Z", "default": true, "description": "string", "expirationDate": "2024-01-01T12:00:00Z", "formSessionId": "string", "icon": { "data": "string", "name": "string", "url": "string" }, "integration": "BANK_TRANSFER", "label": "string", "lastUpdate": "2024-01-01T12:00:00Z", "merchantId": "string", "oneclick": true, "paymentMeanId": 0, "paymentMethodId": 0, "paymentSubType": "30_DAYS", "paymentType": "string", "status": "CANCELED"}

Delete a payment methodProduction

DELETE
/1.0/me/payment/method/{paymentMethodId}

Path parameters

paymentMethodId
required
integer

Payment method ID

Response

200PaymentMethodsuccessful operation
billingContactId
read-only
integer

Associated billing contact ID

creationDate
read-only
stringdate-time

Creation date

default
boolean

Indicates if payment method is the default one for this account

description
string

Custom customer description

expirationDate
read-only
stringdate-time

Expiration date

formSessionId
read-only
string

Form session ID

icon
read-only
Icon

Payment method type icon

integration
read-only
IntegrationEnum

Payment method integration type

ValuesBANK_TRANSFERCOMPONENTIFRAME_VANTIVIN_CONTEXTNONEOSPPOST_FORMREDIRECT
label
read-only
string

Payment method public label

lastUpdate
read-only
stringdate-time

Last update date

merchantId
read-only
string

Merchant ID

oneclick
read-only
boolean

Indicates if payment method support the oneclick functionality

paymentMeanId
read-only
integer

Payment mean ID associated to this payment method

paymentMethodId
read-only
integer

Payment method ID

paymentSubType
read-only
AvailableSubTypeEnum

Payment method sub-type

Values30_DAYS45_DAYS60_DAYSAMERICAN_EXPRESSAURACARTE_BANCAIRECARTE_BLEUECHORUSDINERS_CLUBDISCOVERJCBMAESTROMASTERCARDNONERUPAYVISA
paymentType
read-only
string

Payment method type

status
read-only
StatusEnum

Payment method status

ValuesCANCELEDCANCELINGCREATEDCREATINGERROREXPIREDFAILEDMAINTENANCEPAUSEDREJECTEDREPLACEDVALIDVALIDATING

Example uses paymentMethodId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/payment/method/{paymentMethodId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "billingContactId": 0, "creationDate": "2024-01-01T12:00:00Z", "default": true, "description": "string", "expirationDate": "2024-01-01T12:00:00Z", "formSessionId": "string", "icon": { "data": "string", "name": "string", "url": "string" }, "integration": "BANK_TRANSFER", "label": "string", "lastUpdate": "2024-01-01T12:00:00Z", "merchantId": "string", "oneclick": true, "paymentMeanId": 0, "paymentMethodId": 0, "paymentSubType": "30_DAYS", "paymentType": "string", "status": "CANCELED"}

Challenge your payment methodProduction

POST
/1.0/me/payment/method/{paymentMethodId}/challenge

Path parameters

paymentMethodId
required
integer

Payment method ID

Request body (required)

challenge
required
string

Challenge

Response

200—successful operation

Example uses paymentMethodId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/payment/method/{paymentMethodId}/challenge \
  -H "authorization: Bearer $OVH_TOKEN"

Add details to your payment method challengeProduction

POST
/1.0/me/payment/method/{paymentMethodId}/details

Path parameters

paymentMethodId
required
integer

Payment method ID

Request body (required)

details
string

Details data

transactionId
integer

Transaction ID

Response

200Validationsuccessful operation
formSessionId
read-only
string

Form session ID

merchantId
read-only
string

Merchant ID

organizationId
read-only
string

Organization ID

paymentMethodId
read-only
integer

Registered new payment method ID

transactionId
read-only
integer

Registered new transaction ID

url
read-only
string

Registration validation URL to redirect

validationType
read-only
IntegrationEnum

Registration validation type

ValuesBANK_TRANSFERCOMPONENTIFRAME_VANTIVIN_CONTEXTNONEOSPPOST_FORMREDIRECT

Example uses paymentMethodId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/payment/method/{paymentMethodId}/details \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "formSessionId": "string", "merchantId": "string", "organizationId": "string", "paymentMethodId": 0, "transactionId": 0, "url": "string", "validationType": "BANK_TRANSFER"}

Finalize a payment method registrationProduction

POST
/1.0/me/payment/method/{paymentMethodId}/finalize

Path parameters

paymentMethodId
required
integer

Payment method ID

Request body (required)

expirationMonth
integer

Expiration month

expirationYear
integer

Expiration year

formSessionId
string

Form session ID

registrationId
string

Registration ID

Response

200PaymentMethodsuccessful operation
billingContactId
read-only
integer

Associated billing contact ID

creationDate
read-only
stringdate-time

Creation date

default
boolean

Indicates if payment method is the default one for this account

description
string

Custom customer description

expirationDate
read-only
stringdate-time

Expiration date

formSessionId
read-only
string

Form session ID

icon
read-only
Icon

Payment method type icon

integration
read-only
IntegrationEnum

Payment method integration type

ValuesBANK_TRANSFERCOMPONENTIFRAME_VANTIVIN_CONTEXTNONEOSPPOST_FORMREDIRECT
label
read-only
string

Payment method public label

lastUpdate
read-only
stringdate-time

Last update date

merchantId
read-only
string

Merchant ID

oneclick
read-only
boolean

Indicates if payment method support the oneclick functionality

paymentMeanId
read-only
integer

Payment mean ID associated to this payment method

paymentMethodId
read-only
integer

Payment method ID

paymentSubType
read-only
AvailableSubTypeEnum

Payment method sub-type

Values30_DAYS45_DAYS60_DAYSAMERICAN_EXPRESSAURACARTE_BANCAIRECARTE_BLEUECHORUSDINERS_CLUBDISCOVERJCBMAESTROMASTERCARDNONERUPAYVISA
paymentType
read-only
string

Payment method type

status
read-only
StatusEnum

Payment method status

ValuesCANCELEDCANCELINGCREATEDCREATINGERROREXPIREDFAILEDMAINTENANCEPAUSEDREJECTEDREPLACEDVALIDVALIDATING

Example uses paymentMethodId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/payment/method/{paymentMethodId}/finalize \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "billingContactId": 0, "creationDate": "2024-01-01T12:00:00Z", "default": true, "description": "string", "expirationDate": "2024-01-01T12:00:00Z", "formSessionId": "string", "icon": { "data": "string", "name": "string", "url": "string" }, "integration": "BANK_TRANSFER", "label": "string", "lastUpdate": "2024-01-01T12:00:00Z", "merchantId": "string", "oneclick": true, "paymentMeanId": 0, "paymentMethodId": 0, "paymentSubType": "30_DAYS", "paymentType": "string", "status": "CANCELED"}

Retrieve payment transaction listProduction

GET
/1.0/me/payment/transaction

Query parameters

paymentMethodId
integer

Payment method ID

status
StatusEnum

Status

ValuesCANCELEDCANCELINGCONFIRMINGERROREXPIREDFAILEDREADYSUCCESS

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/payment/transaction \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Retrieve a transactionProduction

GET
/1.0/me/payment/transaction/{transactionId}

Path parameters

transactionId
required
integer

Transaction ID

Response

200Transactionsuccessful operation
amount
read-only
Price

Transaction amount

creationDate
read-only
stringdate-time

Creation date

lastUpdate
read-only
stringdate-time

Last update date

paymentMethodId
read-only
integer

Associated payment method ID

status
read-only
StatusEnum

Transaction status

ValuesCANCELEDCANCELINGCONFIRMINGERROREXPIREDFAILEDREADYSUCCESS
transactionId
read-only
integer

Transaction ID

type
read-only
TypeEnum

Transaction type

ValuesCREDITDEBIT

Example uses transactionId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/payment/transaction/{transactionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "amount": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "creationDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "paymentMethodId": 0, "status": "CANCELED", "transactionId": 0, "type": "CREDIT"}

List of bank accountsDeprecated

GET
/1.0/me/paymentMean/bankAccount

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Query parameters

state
BankAccountStateEnum

Filter on 'status' property

ValuesblockedForIncidentspendingValidationreplacedvalid

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/bankAccount \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Add a new payment mean bank accountDeprecated

POST
/1.0/me/paymentMean/bankAccount

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Request body (required)

bic
required
string

Bank account BIC

description
string

Custom description of this account

iban
required
string

Bank account IBAN

ownerAddress
required
string

Bank account owner's address

ownerName
required
string

Bank account owner's name

setDefault
boolean

Set as default payment mean once validated

Response

200BankAccountValidationsuccessful operation
id
read-only
integer
—
submitUrl
read-only
string
—
url
read-only
string

URL where redirect for registration process

validationType
read-only
ValidationTypeEnum

Kind of registration validation

ValuescreditAccountdocumentToSendsimpleValidation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/bankAccount \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": 0, "submitUrl": "string", "url": "string", "validationType": "creditAccount"}

Get bank account propertiesDeprecated

GET
/1.0/me/paymentMean/bankAccount/{id}

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Path parameters

id
required
integer

Id

Response

200BankAccountsuccessful operation
bic
read-only
string
—
creationDate
read-only
stringdate
—
defaultPaymentMean
read-only
boolean

This credit card is the default payment mean?

description
string

Custom description of this bank account

iban
read-only
string
—
icon
read-only
IconData

Payment method type icon

id
read-only
integer
—
mandateSignatureDate
read-only
stringdate
—
ownerAddress
read-only
string

Bank account owner's address

ownerName
read-only
string

Bank account owner's name

state
read-only
BankAccountStateEnum

Bank account state

ValuesblockedForIncidentspendingValidationreplacedvalid
uniqueReference
read-only
string
—
validationDocumentLink
read-only
string
—

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/bankAccount/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "bic": "string", "creationDate": "2024-01-01", "defaultPaymentMean": true, "description": "string", "iban": "string", "icon": { "data": "string", "name": "string", "url": "string" }, "id": 0, "mandateSignatureDate": "2024-01-01", "ownerAddress": "string", "ownerName": "string", "state": "blockedForIncidents", "uniqueReference": "string", "validationDocumentLink": "string"}

Alter this object propertiesDeprecated

PUT
/1.0/me/paymentMean/bankAccount/{id}

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Path parameters

id
required
integer

Id

Request body (required)

bic
read-only
string
—
creationDate
read-only
stringdate
—
defaultPaymentMean
read-only
boolean

This credit card is the default payment mean?

description
string

Custom description of this bank account

iban
read-only
string
—
icon
read-only
IconData

Payment method type icon

id
read-only
integer
—
mandateSignatureDate
read-only
stringdate
—
ownerAddress
read-only
string

Bank account owner's address

ownerName
read-only
string

Bank account owner's name

state
read-only
BankAccountStateEnum

Bank account state

ValuesblockedForIncidentspendingValidationreplacedvalid
uniqueReference
read-only
string
—
validationDocumentLink
read-only
string
—

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/bankAccount/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Disable payment through this accountDeprecated

DELETE
/1.0/me/paymentMean/bankAccount/{id}

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Path parameters

id
required
integer

Id

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/bankAccount/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Challenge your bank accountDeprecated

POST
/1.0/me/paymentMean/bankAccount/{id}/challenge

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Path parameters

id
required
integer

Id

Request body (required)

challenge
required
string

Payload to answer the challenge

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/bankAccount/{id}/challenge \
  -H "authorization: Bearer $OVH_TOKEN"

Choose this bank account as your default payment mean. Will cancel the previous choice.Deprecated

POST
/1.0/me/paymentMean/bankAccount/{id}/chooseAsDefaultPaymentMean

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Path parameters

id
required
integer

Id

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/bankAccount/{id}/chooseAsDefaultPaymentMean \
  -H "authorization: Bearer $OVH_TOKEN"

List of payment mean credit cardsDeprecated

GET
/1.0/me/paymentMean/creditCard

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/creditCard \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Add a new payment mean credit cardDeprecated

POST
/1.0/me/paymentMean/creditCard

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Request body (required)

description
string

Custom description of this account

returnUrl
string

Callback URL where the customer will be redirected to after validation

setDefault
boolean

Set as default payment mean once validated

Response

200CreditCardValidationsuccessful operation
id
read-only
integer
—
submitUrl
read-only
string
—
url
read-only
string

URL where redirect for registration process

validationType
read-only
ValidationTypeEnum

Kind of registration validation

ValuescreditAccountdocumentToSendsimpleValidation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/creditCard \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": 0, "submitUrl": "string", "url": "string", "validationType": "creditAccount"}

Get credit card propertiesDeprecated

GET
/1.0/me/paymentMean/creditCard/{id}

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Path parameters

id
required
integer

Id

Response

200CreditCardsuccessful operation
defaultPaymentMean
read-only
boolean

This credit card is the default payment mean?

description
string

Custom description of this credit card

expirationDate
read-only
stringdate
—
icon
read-only
IconData

Payment method type icon

id
read-only
integer
—
number
read-only
string

Credit card BIN

state
read-only
CreditCardStateEnum

Credit card state

ValuesexpiredtooManyFailuresvalid
threeDsValidated
read-only
boolean

True if this credit card has been registered with a successful 3DSecure challenge

type
read-only
string

Kind of credit card

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/creditCard/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "defaultPaymentMean": true, "description": "string", "expirationDate": "2024-01-01", "icon": { "data": "string", "name": "string", "url": "string" }, "id": 0, "number": "string", "state": "expired", "threeDsValidated": true, "type": "string"}

Alter this object propertiesDeprecated

PUT
/1.0/me/paymentMean/creditCard/{id}

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Path parameters

id
required
integer

Id

Request body (required)

defaultPaymentMean
read-only
boolean

This credit card is the default payment mean?

description
string

Custom description of this credit card

expirationDate
read-only
stringdate
—
icon
read-only
IconData

Payment method type icon

id
read-only
integer
—
number
read-only
string

Credit card BIN

state
read-only
CreditCardStateEnum

Credit card state

ValuesexpiredtooManyFailuresvalid
threeDsValidated
read-only
boolean

True if this credit card has been registered with a successful 3DSecure challenge

type
read-only
string

Kind of credit card

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/creditCard/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Disable payment through this credit cardDeprecated

DELETE
/1.0/me/paymentMean/creditCard/{id}

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Path parameters

id
required
integer

Id

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/creditCard/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Challenge your credit cardDeprecated

POST
/1.0/me/paymentMean/creditCard/{id}/challenge

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Path parameters

id
required
integer

Id

Request body (required)

challenge
required
string

Payload to answer the challenge

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/creditCard/{id}/challenge \
  -H "authorization: Bearer $OVH_TOKEN"

Choose this credit card as your default payment mean. Will cancel the previous choice.Deprecated

POST
/1.0/me/paymentMean/creditCard/{id}/chooseAsDefaultPaymentMean

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Path parameters

id
required
integer

Id

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/creditCard/{id}/chooseAsDefaultPaymentMean \
  -H "authorization: Bearer $OVH_TOKEN"

List of payment mean deferred accountsProduction

GET
/1.0/me/paymentMean/deferredPaymentAccount

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/deferredPaymentAccount \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this object propertiesProduction

GET
/1.0/me/paymentMean/deferredPaymentAccount/{id}

Path parameters

id
required
integer

Id

Response

200Deferredsuccessful operation
creationDate
read-only
stringdate-time

Creation date of this deferred account

defaultPaymentMean
read-only
boolean

This deferred account is the default payment mean?

description
string

Custom description of this deferred account

icon
read-only
IconData

Payment method type icon

id
read-only
integer
—
label
read-only
string

Deferred account type

state
read-only
DeferredStateEnum

Deferred account state

Valuesfailedvalid

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/deferredPaymentAccount/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "defaultPaymentMean": true, "description": "string", "icon": { "data": "string", "name": "string", "url": "string" }, "id": 0, "label": "string", "state": "failed"}

Alter this object propertiesProduction

PUT
/1.0/me/paymentMean/deferredPaymentAccount/{id}

Path parameters

id
required
integer

Id

Request body (required)

creationDate
read-only
stringdate-time

Creation date of this deferred account

defaultPaymentMean
read-only
boolean

This deferred account is the default payment mean?

description
string

Custom description of this deferred account

icon
read-only
IconData

Payment method type icon

id
read-only
integer
—
label
read-only
string

Deferred account type

state
read-only
DeferredStateEnum

Deferred account state

Valuesfailedvalid

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/deferredPaymentAccount/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Choose this deferred account as your default payment mean. Will cancel the previous choice.Production

POST
/1.0/me/paymentMean/deferredPaymentAccount/{id}/chooseAsDefaultPaymentMean

Path parameters

id
required
integer

Id

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/deferredPaymentAccount/{id}/chooseAsDefaultPaymentMean \
  -H "authorization: Bearer $OVH_TOKEN"

List of payment mean paypalsDeprecated

GET
/1.0/me/paymentMean/paypal

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/paypal \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Add a new payment mean paypalDeprecated

POST
/1.0/me/paymentMean/paypal

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Request body (required)

description
string

Custom description of this account

returnUrl
string

Callback URL where the customer will be redirected to after validation

setDefault
boolean

Set as default payment mean once validated

Response

200PaypalValidationsuccessful operation
id
read-only
integer
—
submitUrl
read-only
string
—
url
read-only
string

URL where redirect for registration process

validationType
read-only
ValidationTypeEnum

Kind of registration validation

ValuescreditAccountdocumentToSendsimpleValidation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/paypal \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": 0, "submitUrl": "string", "url": "string", "validationType": "creditAccount"}

Get paypal propertiesDeprecated

GET
/1.0/me/paymentMean/paypal/{id}

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Path parameters

id
required
integer

Id

Response

200Paypalsuccessful operation
agreementId
read-only
string

Paypal agreement

creationDate
read-only
stringdate-time

Paypal creation date

defaultPaymentMean
read-only
boolean

This paypal is the default payment mean?

description
string

Custom description of this paypal

email
read-only
string

Paypal associated email

icon
read-only
IconData

Payment method type icon

id
read-only
integer
—
state
read-only
PaypalStateEnum

Paypal state

ValuesfailingtooManyFailuresvalid

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/paypal/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "agreementId": "string", "creationDate": "2024-01-01T12:00:00Z", "defaultPaymentMean": true, "description": "string", "email": "string", "icon": { "data": "string", "name": "string", "url": "string" }, "id": 0, "state": "failing"}

Alter this object propertiesDeprecated

PUT
/1.0/me/paymentMean/paypal/{id}

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Path parameters

id
required
integer

Id

Request body (required)

agreementId
read-only
string

Paypal agreement

creationDate
read-only
stringdate-time

Paypal creation date

defaultPaymentMean
read-only
boolean

This paypal is the default payment mean?

description
string

Custom description of this paypal

email
read-only
string

Paypal associated email

icon
read-only
IconData

Payment method type icon

id
read-only
integer
—
state
read-only
PaypalStateEnum

Paypal state

ValuesfailingtooManyFailuresvalid

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/paypal/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Disable payment through this paypalDeprecated

DELETE
/1.0/me/paymentMean/paypal/{id}

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Path parameters

id
required
integer

Id

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/paypal/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Challenge your paypalDeprecated

POST
/1.0/me/paymentMean/paypal/{id}/challenge

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Path parameters

id
required
integer

Id

Request body (required)

challenge
required
string

Payload to answer the challenge

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/paypal/{id}/challenge \
  -H "authorization: Bearer $OVH_TOKEN"

Choose this paypal as your default payment mean. Will cancel the previous choice.Deprecated

POST
/1.0/me/paymentMean/paypal/{id}/chooseAsDefaultPaymentMean

Deprecated since Mar 7, 2023, will be removed on Sep 7, 2023 — use /me/payment/method instead.

Path parameters

id
required
integer

Id

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/paymentMean/paypal/{id}/chooseAsDefaultPaymentMean \
  -H "authorization: Bearer $OVH_TOKEN"